summaryrefslogtreecommitdiff
path: root/bin/db-update
diff options
context:
space:
mode:
Diffstat (limited to 'bin/db-update')
-rwxr-xr-xbin/db-update13
1 files changed, 11 insertions, 2 deletions
diff --git a/bin/db-update b/bin/db-update
index 8885c4a..6bdbf7e 100755
--- a/bin/db-update
+++ b/bin/db-update
@@ -26,6 +26,8 @@ usage() {
>&2 echo ' Force movement of package with given id and move nothing else.'
>&2 echo ' -h|--help:'
>&2 echo ' Show this help and exit.'
+ >&2 echo ' -i|--ignore-insanity:'
+ >&2 echo ' Do not abort when insane.'
>&2 echo ' -n|--no-action:'
>&2 echo ' Only print what would be moved.'
>&2 echo ' -p|--progressive:'
@@ -38,9 +40,10 @@ usage() {
}
eval set -- "$(
- getopt -o f:hnpw \
+ getopt -o f:hinpw \
--long force \
--long help \
+ --long ignore-insanity \
--long no-action \
--long progressive \
--long wait \
@@ -49,6 +52,7 @@ eval set -- "$(
)"
block_flag='-n'
+ignore_insanity=false
no_action=false
progressive=false
force_ids=''
@@ -67,6 +71,9 @@ do
-h|--help)
usage 0
;;
+ -i|--ignore-insanity)
+ ignore_insanity=true
+ ;;
-n|--no-action)
no_action=true
;;
@@ -101,7 +108,9 @@ fi
if [ -s "${work_dir}/build-master-sanity" ]; then
>&2 echo 'Build master is not sane.'
- exit
+ if ! ${ignore_insanity}; then
+ exit
+ fi
fi
if ! ${no_action}; then